import { FinancialChartDropDownControl } from "./FinancialChartDropDownControl";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { Type } from "igniteui-react-core/ES5/type";
export declare class FinancialChartIndicatorMenu extends FinancialChartDropDownControl {
    constructor(a: number);
    constructor(a: number, b: any);
    constructor(a: number, ..._rest: any[]);
    protected get_r(): string;
    protected readonly r: string;
    protected get_s(): string;
    protected readonly s: string;
    readonly x: FinancialIndicatorTypeCollection;
    readonly y: FinancialOverlayTypeCollection;
    readonly z: TrendLineType;
    readonly w: FinancialChartVolumeType;
    private readonly v;
    protected get_p(): boolean;
    protected readonly p: boolean;
    static $t: Type;
}
